Subject: Re: last update is weird
From: "Vincent R." <[email-masked]>
To: Andy Koppe <[email-masked]>
Cc: <[email-masked]>
Date: Tue, 09 Jun 2009 15:01:36 +0200
List-Id: <cygwin.cygwin.com>

On Tue, 9 Jun 2009 13:20:12 +0100, Andy Koppe <[email-masked]> wrote:
>> I have started cygwin-1.7 setup to update to latest cygwin dll and now
>> when
>> I start mintty,
>> seems are very weird.
>> My terminal looks like a mix between a windows terminal and mintty, for
>> instance I have the following
>> text in black and white :
>>
>> Microsoft Windows XP [version 5.1.2600]
>> (C) Copyright 1985-2001 Microsoft Corp.
>>
>> C:\cygwin-1.7\bin>
>>
>> and the window title is -cmd while I think it used to be ~. Colors have
>> disappeared.
> 
> Any chance you've got a Windows environment variable called SHELL
> that's set to cmd.exe? Try this to check: echo %SHELL%
> 
> MinTTY 0.4 looks in that variable for a command to execute, like rxvt
> and xterm do.
> 
> To override it, change your shortcut to this:
> 
> Target : C:\cygwin-1.7\bin\mintty.exe /bin/bash -l
> 

Thanks I had the $SHELL set to cmd.exe.
Now it works fine.

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/